Skip to main content
GET
/
exchange-rates
cURL
curl --request GET \
  --url https://api.lightspark.com/grid/2025-10-13/exchange-rates \
  --header 'Authorization: Basic <encoded-value>'
import LightsparkGrid from '@lightsparkdev/grid';

const client = new LightsparkGrid({
username: process.env['GRID_CLIENT_ID'], // This is the default and can be omitted
password: process.env['GRID_CLIENT_SECRET'], // This is the default and can be omitted
});

const exchangeRateListResponse = await client.exchangeRates.list();

console.log(exchangeRateListResponse.data);
package com.lightspark.grid.example

import com.lightspark.grid.client.LightsparkGridClient
import com.lightspark.grid.client.okhttp.LightsparkGridOkHttpClient
import com.lightspark.grid.models.exchangerates.ExchangeRateListParams
import com.lightspark.grid.models.exchangerates.ExchangeRateListResponse

fun main() {
val client: LightsparkGridClient = LightsparkGridOkHttpClient.fromEnv()

val exchangeRateListResponse: ExchangeRateListResponse = client.exchangeRates().list()
}
{
  "data": [
    {
      "sourceCurrency": {
        "code": "USD",
        "decimals": 2,
        "name": "US Dollar",
        "symbol": "$"
      },
      "sendingAmount": 10000,
      "minSendingAmount": 100,
      "maxSendingAmount": 10000000,
      "destinationCurrency": {
        "code": "INR",
        "decimals": 2,
        "name": "Indian Rupee",
        "symbol": "₹"
      },
      "destinationPaymentRail": "UPI",
      "receivingAmount": 825000,
      "exchangeRate": 82.5,
      "fees": {
        "fixed": 100,
        "total": 150
      },
      "updatedAt": "2025-02-05T12:00:00Z"
    },
    {
      "sourceCurrency": {
        "code": "USD",
        "decimals": 2,
        "name": "US Dollar",
        "symbol": "$"
      },
      "sendingAmount": 10000,
      "minSendingAmount": 100,
      "maxSendingAmount": 10000000,
      "destinationCurrency": {
        "code": "EUR",
        "decimals": 2,
        "name": "Euro",
        "symbol": "€"
      },
      "destinationPaymentRail": "SEPA_INSTANT",
      "receivingAmount": 18500,
      "exchangeRate": 0.925,
      "fees": {
        "fixed": 10,
        "total": 15
      },
      "updatedAt": "2025-02-05T12:00:00Z"
    }
  ]
}
{
"status": 400,
"message": "<string>",
"details": {}
}
{
"status": 401,
"message": "<string>",
"details": {}
}
{
"status": 500,
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Query Parameters

sourceCurrency
string

Filter by source currency code (e.g., USD)

destinationCurrency
string[]

Filter by destination currency code(s). Can be repeated for multiple currencies (e.g., &destinationCurrency=INR&destinationCurrency=GBP)

sendingAmount
integer<int64>
default:10000

Sending amount in the smallest unit of the source currency (e.g., cents for USD). If no amount is provided, the default is 10000 in the sending currency smallest unit.

Required range: x >= 0

Response

Successful operation

data
object[]
required

List of exchange rates matching the filter criteria